Subject: Re: [bug-diffutils] bug#24210: bug#24210: bug#24210: diff3 in diffutils 3.4 is broken

From: Jim Meyering <[email-masked]>
Date: Sun, 14 Aug 2016 17:13:35 -0700

On Sat, Aug 13, 2016 at 10:14 PM, Jim Meyering <[email-masked]> wrote:
> On Fri, Aug 12, 2016 at 9:35 AM, Jim Meyering <[email-masked]> wrote:
>> On Fri, Aug 12, 2016 at 7:22 AM, Bastian Beischer
>> <[email-masked]> wrote:
>>> Hello,
>>>
>>> Please try to run diff3 from diffutils 3.4 as follows:
>>>
>>> echo a > a.txt
>>> echo b > b.txt
>>> echo c > c.txt
>>> diff3 a.txt b.txt c.txt
> ...
>>> There was only one commit in src/diff3.c between 3.3 and 3.4:
>>>
>>> http://git.savannah.gnu.org/cgit/diffutils.git/commit/src?id=3b74a905c5460e7979c53273ac90345860d001a7
>>>
>>> Reverting this commit fixes the issue.
>>
>> Yikes.
>> Thank you for the report.
>> I confirm that that patch is erroneous, and will prepare a complete
>> fix (adding your test and a NEWS entry) shortly.
>> Looks like diffutils-3.5 will have to be released pretty soon.
>
> I've reverted that, added your test case and updated NEWS with a
> commit in your name. Please review that first commit, in the attached.
...
Normally I would be more patient in waiting for your review, but I'm
in a hurry to make diffutils-3.5, so have just pushed those, and am
now preparing a pre-release snapshot.